      SUBROUTINE STRMOV (STR1,STR2,LBYTES)                                00001 
C     FOR I=1 TO LBYTES MOVE STR1(I) TO STR2(I)                           00002 
      LOGICAL*1 STR1(1), STR2(1)                                          00003 
      DO 32758 I=1,LBYTES                                                 00004 
      STR2(I)=STR1(I)                                                     00004 
32758 CONTINUE                                                            00004 
      RETURN                                                              00005 
      END                                                                 00006 
C                                                                         00007 
C                                                                         00008 
      SUBROUTINE STRCOM (STR1,STR2,LBYTES,IRET)                           00009 
C     FOR I=1 TO LBYTES, COMPARE STR1(I) TO STR2(I)                       00010 
C     IRET=0 MEANS EQUAL VALUE STRINGS                                    00011 
      LOGICAL*1 STR1(1),STR2(1)                                           00012 
      IRET=0                                                              00013 
      DO 32758 I=1,LBYTES                                                 00014 
      IF (STR2(I) .NE. STR1(I)) IRET=1                                    00015 
32758 CONTINUE                                                            00016 
      RETURN                                                              00017 
      END                                                                 00018 
C                                                                         00019 
C                                                                         00020 
      INTEGER FUNCTION BYTCOM (STR1,LOC1,STR2,LOC2,LEN)                   00021 
C     FOR I=0 TO LEN, COMPARE STR1(LOC1+I) TO STR2(LOC2+I)                00022 
C     RETURN NEG IF STR1<STR2                                             00023 
C     RETURN 0 IF STR1=STR2                                               00024 
C     RETURN POS IF STR1>STR2                                             00025 
      LOGICAL*1 STR1(1),STR2(1)                                           00026 
      BYTCOM=0                                                            00027 
      J1=LOC1-1                                                           00028 
      J2=LOC2-1                                                           00029 
      DO 32758 I=1,LEN                                                    00030 
      J1=J1+1                                                             00031 
      J2=J2+1                                                             00032 
      IF(STR1(J1).EQ.STR2(J2)) GO TO 32757                                00033 
      IF(.NOT.(STR1(J1).GE.STR2(J2))) GO TO 32755                         00034 
      BYTCOM=1                                                            00034 
      GO TO 32756                                                         00034 
32755 BYTCOM=-1                                                           00035 
32756 CONTINUE                                                            00036 
32757 CONTINUE                                                            00037 
32758 CONTINUE                                                            00037 
      RETURN                                                              00038 
      END                                                                 00039 
